Skip to main content
GET
Get a turn snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

threadId
string
required
turnId
string
required

Use a turn ID, or active for the open event-backed turn, latest for the most recent event-backed turn, or current for the open event-backed turn when one exists and the latest event-backed turn otherwise.

Response

Turn status and resolved config snapshot.

createdAt
string<date-time>
required
elapsedMs
integer<int64>
required
eventCount
integer
required
resolvedConfig
object
required
status
enum<string>
required
Available options:
running,
awaiting,
idle,
failed,
cancelled
terminal
boolean
required
threadId
string
required
turnId
string
required
totalUsage
object

Total billable model usage, including context compaction.

usage
object